Package edu.wisc.game.parser

## Class Expression.ParenList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Expression>
      - - edu.wisc.game.parser.Expression.ExList
        - - edu.wisc.game.parser.Expression.ParenList

- All Implemented Interfaces:
    `Expression`, `Serializable`, `Cloneable`, `Iterable<Expression>`, `Collection<Expression>`, `List<Expression>`, `RandomAccess`
  Enclosing interface:
    Expression

      public static class Expression.ParenList
      extends Expression.ExList

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface edu.wisc.game.parser.Expression

      `Expression.AdditiveExpression, Expression.ArithmeticExpression, Expression.BracketList, Expression.ColonExpression, Expression.ComparisonExpression, Expression.ExList, Expression.Id, Expression.Mapper, Expression.MapTo<T>, Expression.MultiplicativeExpression, Expression.NegationExpression, Expression.Num, Expression.ParenList, Expression.PropMap, Expression.QualifiedId, Expression.RangeExpression, Expression.SerialExpression, Expression.Star, Expression.VarMap, Expression.VarMap2`

  - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface edu.wisc.game.parser.Expression

      `STAR`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression.ParenList` | `map​(Expression.Mapper mapper)` | Applies the mapper to each component
    `String` | `toSrc()` |
    `String` | `toString()` |

    - ### Methods inherited from class edu.wisc.game.parser.Expression.ExList

      `toSrc, toString`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Vector<Expression>`

    - #### toSrc

          public String toSrc()

    - #### map

          public Expression.ParenList map​(Expression.Mapper mapper)
                                   throws RuleParseException

      Applies the mapper to each component
      Throws:
        `RuleParseException`